//---------------------------------------------------------------------------
#ifndef fRawDataFileH
#define fRawDataFileH
#include "stdio.h"
//---------------------------------------------------------------------------
class TRawDataFile
{
protected:
   FILE* F;
   int FDataCount;
   int FFieldCount;
   int CountFields(char* s);
   void Init();
   void Load(char* filename);
public:
   TRawDataFile(char* filename){
      Init();
      Load(filename);
   };
   ~TRawDataFile(void){if(F!=NULL)fclose(F);};
   int Data(int Index, int FieldNo);
   int DataCount(){return FDataCount;};
   int FieldCount(){return FFieldCount;};
};
//---------------------------------------------------------------------------
#endif
